package com.chenyang.nse.bussiness.entity.orm.table.core.mappletxml;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_RULE_SUBSTITUTIONINFO"
)
public class TCoreRuleSubstitutionInfo extends TBaseEntity implements Serializable {
   private String portid;
   private String seedvalue;
   private String tablename;
   private String columnname;
   private String inputport;
   private String dictcolumn;
   private String isKeyMasked;
   private String isOutputUnique;
   private String uniqueColumn;

   public String getPortid() {
      return this.portid;
   }

   public void setPortid(String portid) {
      this.portid = portid;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getInputport() {
      return this.inputport;
   }

   public void setInputport(String inputport) {
      this.inputport = inputport;
   }

   public String getDictcolumn() {
      return this.dictcolumn;
   }

   public void setDictcolumn(String dictcolumn) {
      this.dictcolumn = dictcolumn;
   }

   public String getIsKeyMasked() {
      return this.isKeyMasked;
   }

   public void setIsKeyMasked(String isKeyMasked) {
      this.isKeyMasked = isKeyMasked;
   }

   public String getIsOutputUnique() {
      return this.isOutputUnique;
   }

   public void setIsOutputUnique(String isOutputUnique) {
      this.isOutputUnique = isOutputUnique;
   }

   public String getUniqueColumn() {
      return this.uniqueColumn;
   }

   public void setUniqueColumn(String uniqueColumn) {
      this.uniqueColumn = uniqueColumn;
   }

   public String getSeedvalue() {
      return this.seedvalue;
   }

   public void setSeedvalue(String seedvalue) {
      this.seedvalue = seedvalue;
   }
}
